Package org.apache.sling.testing.junit.rules.instance.util

## Class ContextPathAllocator

- java.lang.Object
- - org.apache.sling.testing.junit.rules.instance.util.ContextPathAllocator

    public class ContextPathAllocator
    extends Object

### Constructor Summary

Constructors
`ContextPathAllocator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `allocateContextPath()`
`boolean` `checkAndAdd​(String contextPath)`
`String` `generateContextPath()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContextPathAllocator

    public ContextPathAllocator()

### Method Detail

#### allocateContextPath

    public String allocateContextPath()

#### generateContextPath

    public String generateContextPath()

#### checkAndAdd

    public boolean checkAndAdd​(String contextPath)